(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.2' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[    101035,       2350]
NotebookOptionsPosition[     97868,       2237]
NotebookOutlinePosition[     99468,       2287]
CellTagsIndexPosition[     99140,       2275]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Asymptotic of Extremal Controls in the sub-Riemannian Problem in the Lie \
Group of Rigid Body Motions in 3D\
\>", "DemoTitle",
 CellChangeTimes->{{3.7748043151182537`*^9, 3.774804390336556*^9}}],

Cell[CellGroupData[{

Cell["", "InitializationSection"],

Cell[BoxData[""], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7748017079871345`*^9, 3.774801723578026*^9}, {
   3.774802348995798*^9, 3.774802350276871*^9}, {3.7748028384707947`*^9, 
   3.77480284066892*^9}, {3.774802977121725*^9, 3.7748029777297597`*^9}, 
   3.7748065378133845`*^9},
 CellID->885706147]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", "Scal", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Scal", " ", "=", " ", "2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Tglob", "=", "0.4"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", 
     RowBox[{"VerticalPart", ",", " ", "uT"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"VerticalPart", " ", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox["u1", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"u3", "[", "t", "]"}]}], " ", 
         RowBox[{"u5", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["u2", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"u3", "[", "t", "]"}], " ", 
         RowBox[{"u4", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["u3", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"u2", "[", "t", "]"}]}], " ", 
          RowBox[{"u4", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"u1", "[", "t", "]"}], " ", 
          RowBox[{"u5", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["u4", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"u2", "[", "t", "]"}], " ", 
          RowBox[{"u3", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"u5", "[", "t", "]"}], " ", 
          RowBox[{"u6", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["u5", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"u1", "[", "t", "]"}]}], " ", 
          RowBox[{"u3", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"u4", "[", "t", "]"}], " ", 
          RowBox[{"u6", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["u6", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "\[Equal]", "0"}]}], 
      "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uT", "[", 
      RowBox[{
      "u10_", ",", "u20_", ",", "u30_", ",", "u40_", ",", "u50_", ",", 
       "u60_"}], "]"}], " ", ":=", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"u1", ",", "u2", ",", "u3", ",", "u4", ",", "u5", ",", "u6"}], 
       "}"}], "/.", " ", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"Join", "[", 
         RowBox[{"VerticalPart", ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "u10"}], ",", 
            RowBox[{
             RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "u20"}], ",", 
            RowBox[{
             RowBox[{"u3", "[", "0", "]"}], "\[Equal]", "u30"}], ",", 
            RowBox[{
             RowBox[{"u4", "[", "0", "]"}], "\[Equal]", "u40"}], ",", " ", 
            RowBox[{
             RowBox[{"u5", "[", "0", "]"}], "\[Equal]", "u50"}], ",", " ", 
            RowBox[{
             RowBox[{"u6", "[", "0", "]"}], "\[Equal]", "u60"}]}], "}"}]}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
         "u1", ",", "u2", ",", "u3", ",", "u4", ",", "u5", ",", "u6"}], "}"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "Tglob"}], "}"}]}], "]"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", 
     RowBox[{
     "MG", ",", "U", ",", "T", ",", "MGt", ",", "F1", ",", "G1", ",", "F", 
      ",", "Gu1A", ",", "u2A", ",", "u3A", ",", "u4A", ",", "u5A"}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"sol", "[", 
       RowBox[{
       "u10_", ",", "u20_", ",", "u30_", ",", "u40_", ",", "u50_", ",", 
        "u60_"}], "]"}], " ", "[", "Tg_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"T", "=", "Tg"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"u3A", "=", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"uu", "[", "t", "]"}], "/.", 
              RowBox[{"NDSolve", "[", 
               RowBox[{
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"UU", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"uu", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"ww", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ww", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"zz", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"zz", "'"}], "[", "t", "]"}], " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], " ", "\[Equal]", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "u60", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "2"]}], "-", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", "u60"}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"ww", "[", "t", "]"}]}]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"ww", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u60"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"zz", "[", "t", "]"}]}]}], ")"}]}]}], ")"}]}]}]}],
                    "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"UU", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    "0"}], ",", 
                    RowBox[{
                    RowBox[{"uu", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    "u30"}], ",", " ", 
                    RowBox[{
                    RowBox[{"ww", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u20"}], " ", "u40"}], "+", 
                    RowBox[{"u10", " ", "u50"}]}]}], ",", " ", 
                    RowBox[{
                    RowBox[{"zz", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u30"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["u10", "2"], "+", 
                    SuperscriptBox["u20", "2"], "+", 
                    SuperscriptBox["u40", "2"], "+", 
                    SuperscriptBox["u50", "2"]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "+", 
                    RowBox[{"2", " ", "u10", " ", "u40"}], "+", 
                    RowBox[{"2", " ", "u20", " ", "u50"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", "u60"}]}]}]}], 
                   "}"}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"UU", "[", "t", "]"}], ",", 
                  RowBox[{"uu", "[", "t", "]"}], ",", 
                  RowBox[{"ww", "[", "t", "]"}], ",", 
                  RowBox[{"zz", "[", "t", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}], " ", 
             ")"}], "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/.", 
           RowBox[{"(", 
            RowBox[{"t", "\[Rule]", "#"}], ")"}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"U", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"UU", "[", "t", "]"}], "/.", 
              RowBox[{"NDSolve", "[", 
               RowBox[{
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"UU", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"uu", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"ww", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ww", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"zz", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"zz", "'"}], "[", "t", "]"}], " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], " ", "\[Equal]", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "u60", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "2"]}], "-", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", "u60"}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"ww", "[", "t", "]"}]}]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"ww", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u60"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"zz", "[", "t", "]"}]}]}], ")"}]}]}], ")"}]}]}]}],
                    "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"UU", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    "0"}], ",", 
                    RowBox[{
                    RowBox[{"uu", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    "u30"}], ",", " ", 
                    RowBox[{
                    RowBox[{"ww", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u20"}], " ", "u40"}], "+", 
                    RowBox[{"u10", " ", "u50"}]}]}], ",", " ", 
                    RowBox[{
                    RowBox[{"zz", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u30"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["u10", "2"], "+", 
                    SuperscriptBox["u20", "2"], "+", 
                    SuperscriptBox["u40", "2"], "+", 
                    SuperscriptBox["u50", "2"]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "+", 
                    RowBox[{"2", " ", "u10", " ", "u40"}], "+", 
                    RowBox[{"2", " ", "u20", " ", "u50"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", "u60"}]}]}]}], 
                   "}"}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"UU", "[", "t", "]"}], ",", 
                  RowBox[{"uu", "[", "t", "]"}], ",", 
                  RowBox[{"ww", "[", "t", "]"}], ",", 
                  RowBox[{"zz", "[", "t", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}], " ", 
             ")"}], "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/.", 
           RowBox[{"(", 
            RowBox[{"t", "\[Rule]", "#"}], ")"}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"F1", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u10", "+", "u50"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              RowBox[{"U", "[", "#", "]"}]}], "]"}]}], " ", "-", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u50", "-", "u10"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"U", "[", "#", "]"}], "]"}]}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"G1", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u20", "+", "u40"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"U", "[", "#", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u40", "-", "u20"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              RowBox[{"U", "[", "#", "]"}]}], "]"}]}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"F", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u10", "+", "u50"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              RowBox[{"U", "[", "#", "]"}]}], "]"}]}], " ", "+", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u50", "-", "u10"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"U", "[", "#", "]"}], "]"}]}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"G", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u20", "+", "u40"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"U", "[", "#", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"u40", "-", "u20"}], ")"}], "/", "2"}], " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              RowBox[{"U", "[", "#", "]"}]}], "]"}]}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MGf", "[", "T_", "]"}], ":=", 
         RowBox[{
          RowBox[{"MG", "[", "T", "]"}], "/.", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"NDSolve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"MG", "'"}], "[", "\[Tau]", "]"}], " ", "==", " ", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u20", "+", "u40"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"U", "[", "T", "]"}], "]"}]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u40", "-", "u20"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"U", "[", "T", "]"}]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{
                    RowBox[{"U", "[", "T", "]"}], "-", 
                    RowBox[{"U", "[", "\[Tau]", "]"}]}], "]"}]}]}], ")"}], 
                 " ", ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"MG", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
               ",", 
               RowBox[{"MG", "[", "\[Tau]", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Tau]", ",", "0", ",", "T"}], " ", "}"}]}], "]"}], 
             RowBox[{"(*", ")", "*)"}], "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "/.", 
            RowBox[{"{", 
             RowBox[{"\[Tau]", "\[Rule]", "T"}], "}"}]}], ")"}]}]}], 
        RowBox[{"(*", 
         RowBox[{")", ";"}], "*)"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MFf", "[", "T_", "]"}], ":=", 
         RowBox[{
          RowBox[{"MG", "[", "T", "]"}], "/.", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"NDSolve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"MG", "'"}], "[", "\[Tau]", "]"}], " ", "==", " ", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u10", "+", "u50"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"U", "[", "T", "]"}]}], "]"}]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u50", "-", "u10"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"U", "[", "T", "]"}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{
                    RowBox[{"U", "[", "T", "]"}], "-", 
                    RowBox[{"U", "[", "\[Tau]", "]"}]}], "]"}]}]}], ")"}], 
                 " ", ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"MG", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
               ",", 
               RowBox[{"MG", "[", "\[Tau]", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Tau]", ",", "0", ",", "T"}], " ", "}"}]}], "]"}], 
             RowBox[{"(*", ")", "*)"}], "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "/.", 
            RowBox[{"{", 
             RowBox[{"\[Tau]", "\[Rule]", "T"}], "}"}]}], ")"}]}]}], 
        RowBox[{"(*", 
         RowBox[{")", ";"}], "*)"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"LFf", "[", "T_", "]"}], ":=", 
         RowBox[{
          RowBox[{"MG", "[", "T", "]"}], "/.", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"NDSolve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"MG", "'"}], "[", "\[Tau]", "]"}], " ", "==", " ", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u10", "+", "u50"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"U", "[", "T", "]"}]}], "]"}]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u50", "-", "u10"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"U", "[", "T", "]"}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{
                    RowBox[{"U", "[", "T", "]"}], "-", 
                    RowBox[{"U", "[", "\[Tau]", "]"}]}], "]"}]}]}], ")"}], 
                 " ", ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"MG", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
               ",", 
               RowBox[{"MG", "[", "\[Tau]", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Tau]", ",", "0", ",", "T"}], " ", "}"}]}], "]"}], 
             RowBox[{"(*", ")", "*)"}], "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "/.", 
            RowBox[{"{", 
             RowBox[{"\[Tau]", "\[Rule]", "T"}], "}"}]}], ")"}]}]}], 
        RowBox[{"(*", 
         RowBox[{")", ";"}], "*)"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"LGf", "[", "T_", "]"}], ":=", 
         RowBox[{
          RowBox[{"MG", "[", "T", "]"}], "/.", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"NDSolve", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"MG", "'"}], "[", "\[Tau]", "]"}], " ", "==", " ", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u20", "+", "u40"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"U", "[", "T", "]"}], "]"}]}], " ", "+", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"u40", "-", "u20"}], ")"}], "/", "2"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"-", 
                    RowBox[{"U", "[", "T", "]"}]}], "]"}]}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{
                    RowBox[{"U", "[", "T", "]"}], "-", 
                    RowBox[{"U", "[", "\[Tau]", "]"}]}], "]"}]}]}], ")"}], 
                 " ", ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"MG", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
               ",", 
               RowBox[{"MG", "[", "\[Tau]", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"\[Tau]", ",", "0", ",", "T"}], " ", "}"}]}], "]"}], 
             RowBox[{"(*", ")", "*)"}], "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "/.", 
            RowBox[{"{", 
             RowBox[{"\[Tau]", "\[Rule]", "T"}], "}"}]}], ")"}]}]}], 
        RowBox[{"(*", 
         RowBox[{")", ";"}], "*)"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u1A", "[", "T_", "]"}], ":=", " ", 
         RowBox[{
          RowBox[{"F1", "[", "T", "]"}], " ", "-", " ", 
          RowBox[{"u60", " ", 
           RowBox[{"MGf", "[", "T", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u2A", "[", "T_", "]"}], ":=", " ", 
         RowBox[{
          RowBox[{"G1", "[", "T", "]"}], " ", "-", " ", 
          RowBox[{"u60", " ", 
           RowBox[{"MFf", "[", "T", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u4A", "[", "T_", "]"}], ":=", " ", 
         RowBox[{
          RowBox[{"G", "[", "T", "]"}], " ", "-", " ", 
          RowBox[{"u60", " ", 
           RowBox[{"LFf", "[", "T", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u5A", "[", "T_", "]"}], ":=", " ", 
         RowBox[{
          RowBox[{"F", "[", "T", "]"}], " ", "+", " ", 
          RowBox[{"u60", " ", 
           RowBox[{"LGf", "[", "T", "]"}]}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"u1A", "[", "T", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"u2A", "[", "T", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"u3A", "[", "T", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"u4A", "[", "T", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"T", ",", 
            RowBox[{"u5A", "[", "T", "]"}]}], "}"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Switch", "[", 
     RowBox[{
     "Index", ",", "\[IndentingNewLine]", "3", ",", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"uT", "[", 
              RowBox[{
              "u10", ",", "u20", ",", "u30", ",", "u40", ",", "u50", ",", 
               "u60"}], "]"}], "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "3", 
            "\[RightDoubleBracket]"}], "[", "tt", "]"}], ",", " ", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"uu", "[", "t", "]"}], "/.", 
              RowBox[{"NDSolve", "[", 
               RowBox[{
                RowBox[{"Join", "[", 
                 RowBox[{
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"UU", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"uu", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"ww", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"ww", "'"}], "[", "t", "]"}], " ", "\[Equal]", 
                    " ", 
                    RowBox[{"zz", "[", "t", "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"zz", "'"}], "[", "t", "]"}], " ", 
                    RowBox[{"uu", "[", "t", "]"}]}], " ", "\[Equal]", " ", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"4", " ", "u60", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}], " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "2"]}], "-", 
                    RowBox[{"4", " ", 
                    SuperscriptBox[
                    RowBox[{"uu", "[", "t", "]"}], "3"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"t", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", "u60"}], "-", 
                    RowBox[{"2", " ", 
                    RowBox[{"ww", "[", "t", "]"}]}]}], ")"}]}], "+", 
                    RowBox[{
                    RowBox[{"ww", "[", "t", "]"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u60"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "+", 
                    RowBox[{"u20", " ", "u50"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Cosh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u40"}], "-", 
                    RowBox[{"u20", " ", "u50"}]}], ")"}], " ", 
                    RowBox[{"Sinh", "[", 
                    RowBox[{"2", " ", 
                    RowBox[{"UU", "[", "t", "]"}]}], "]"}]}]}], ")"}]}], "+", 
                    RowBox[{"2", " ", 
                    RowBox[{"zz", "[", "t", "]"}]}]}], ")"}]}]}], ")"}]}]}]}],
                    "\[IndentingNewLine]", "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"UU", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    "0"}], ",", 
                    RowBox[{
                    RowBox[{"uu", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    "u30"}], ",", " ", 
                    RowBox[{
                    RowBox[{"ww", "[", "0", "]"}], " ", "\[Equal]", "  ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u20"}], " ", "u40"}], "+", 
                    RowBox[{"u10", " ", "u50"}]}]}], ",", " ", 
                    RowBox[{
                    RowBox[{"zz", "[", "0", "]"}], " ", "\[Equal]", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "u30"}], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    SuperscriptBox["u10", "2"], "+", 
                    SuperscriptBox["u20", "2"], "+", 
                    SuperscriptBox["u40", "2"], "+", 
                    SuperscriptBox["u50", "2"]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u10", " ", "u20"}], "+", 
                    RowBox[{"2", " ", "u10", " ", "u40"}], "+", 
                    RowBox[{"2", " ", "u20", " ", "u50"}], "-", 
                    RowBox[{"u40", " ", "u50"}]}], ")"}], " ", "u60"}]}]}]}], 
                   "}"}]}], "]"}], ",", " ", "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"UU", "[", "t", "]"}], ",", 
                  RowBox[{"uu", "[", "t", "]"}], ",", 
                  RowBox[{"ww", "[", "t", "]"}], ",", 
                  RowBox[{"zz", "[", "t", "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "Tglob"}], "}"}]}], "]"}]}], " ",
              ")"}], "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "/.", 
           RowBox[{"(", 
            RowBox[{"t", "\[Rule]", "tt"}], ")"}]}]}], "\[IndentingNewLine]", 
         "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"tt", ",", "0", ",", "TT"}], "}"}], ",", 
        RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Darker", "[", "Green", "]"}], ",", "Dashed"}], "}"}]}], 
          "}"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", "_", ",", 
      RowBox[{"Show", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"uT", "[", 
                 RowBox[{
                 "u10", ",", "u20", ",", "u30", ",", "u40", ",", "u50", ",", 
                  "u60"}], "]"}], "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "3", 
               "\[RightDoubleBracket]"}], "[", "tt", "]"}], "*)"}], 
            RowBox[{"5", ",", "5"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"tt", ",", "0", ",", "TT"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Black", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "Dashed"}], 
               "}"}]}], "}"}]}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
           RowBox[{"TicksStyle", "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{"\"\<Label\>\"", ",", " ", "8"}], "]"}]}], ",", 
           RowBox[{"AxesStyle", "\[Rule]", 
            RowBox[{"Arrowheads", "[", 
             RowBox[{"{", 
              RowBox[{"0.0", ",", "0.05"}], "}"}], "]"}]}], ",", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"ImagePadding", "\[Rule]", "None"}], ","}], "*)"}], " ", 
           RowBox[{"PlotLegends", "\[Rule]", 
            RowBox[{"Placed", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", 
                RowBox[{"\"\<u\>\"", "<>", 
                 RowBox[{"ToString", "[", 
                  SubscriptBox["u", "i"], "]"}]}], "*)"}], 
               RowBox[{
                RowBox[{"ToString", "[", 
                 RowBox[{
                  SubscriptBox["u", "Index"], ",", "StandardForm"}], "]"}], 
                ",", 
                RowBox[{"ToString", "[", 
                 RowBox[{
                  SubscriptBox[
                   OverscriptBox["u", "^"], "Index"], ",", "StandardForm"}], 
                 "]"}]}], "}"}], ",", "Below"}], "]"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<t\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
            RowBox[{"Directive", "[", "Black", "]"}]}]}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", 
           RowBox[{"Black", ",", 
            RowBox[{"Line", "@", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"tt", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"uT", "[", 
                    RowBox[{
                    "u10", ",", "u20", ",", "u30", ",", "u40", ",", "u50", 
                    ",", "u60"}], "]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", 
                   "Index", "\[RightDoubleBracket]"}], "[", "tt", "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"tt", ",", "0", ",", "TT", ",", "0.01"}], "}"}]}], 
              "]"}]}], ",", 
            RowBox[{"Darker", "[", "Green", "]"}], ",", "Dashed", ",", 
            RowBox[{"Line", "@", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"sol", "[", 
                  RowBox[{
                  "u10", ",", "u20", ",", "u30", ",", "u40", ",", "u50", ",", 
                   "u60"}], "]"}], "[", "tt", "]"}], "\[LeftDoubleBracket]", 
                "Index", "\[RightDoubleBracket]"}], ",", 
               RowBox[{"{", 
                RowBox[{"tt", ",", "0", ",", "TT", ",", "0.01"}], "}"}]}], 
              "]"}]}]}], "}"}], "]"}]}], "}"}], "]"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"u10", ",", " ", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u20", ",", " ", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"u30", ",", " ", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"u40", ",", " ", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"u50", ",", " ", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u60", ",", "0"}], "}"}], ",", " ", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"TT", ",", "Tglob"}], "}"}], ",", "0", ",", "Tglob"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"xmin", ",", 
     RowBox[{"-", "0.05"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmax", ",", "TT"}], "}"}], ",", "0", ",", 
     RowBox[{"10", " ", "Tglob"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymin", ",", 
       RowBox[{"-", "Scal"}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"-", "10"}], "Scal"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymax", ",", "Scal"}], "}"}], ",", "0", ",", 
     RowBox[{"10", "Scal"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Index", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], "}"}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.7748016088324633`*^9, 3.7748016442104864`*^9}, {
   3.774801905451429*^9, 3.7748019119638014`*^9}, {3.7748019603665695`*^9, 
   3.7748020910230427`*^9}, {3.774802167879439*^9, 3.774802230908044*^9}, {
   3.774802319845131*^9, 3.774802337198123*^9}, {3.7748023735031996`*^9, 
   3.7748023835187726`*^9}, {3.7748024460773506`*^9, 3.7748024979803195`*^9}, 
   3.7748025565006666`*^9, {3.774802592142705*^9, 3.7748027174518723`*^9}, {
   3.774802748652657*^9, 3.774802756061081*^9}, {3.7748029360663767`*^9, 
   3.774802939428569*^9}, {3.774803050326912*^9, 3.774803054374143*^9}, {
   3.7748031064961243`*^9, 3.77480319715831*^9}, 3.7748032573287516`*^9, {
   3.7748032997791796`*^9, 3.7748033579105043`*^9}, {3.774803424492313*^9, 
   3.7748034500687757`*^9}, {3.7748035006606693`*^9, 3.77480360818882*^9}, {
   3.7748037025542173`*^9, 3.774803782055764*^9}, {3.7748038175977974`*^9, 
   3.774803818598854*^9}, {3.7748065421066303`*^9, 3.774806572927393*^9}, 
   3.7748066140427446`*^9, {3.7748066796684985`*^9, 3.774806680939571*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Index$$ = 3, $CellContext`TT$$ = 
    0.4, $CellContext`u10$$ = -1, $CellContext`u20$$ = -1, $CellContext`u30$$ \
= -1, $CellContext`u40$$ = -2, $CellContext`u50$$ = -2, $CellContext`u60$$ = 
    0, $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = -0.05, \
$CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`u10$$], -1, 1}, {
      Hold[$CellContext`u20$$], -1, 1}, {
      Hold[$CellContext`u30$$], -1, 1}, {
      Hold[$CellContext`u40$$], -2, 2}, {
      Hold[$CellContext`u50$$], -2, 2}, {{
       Hold[$CellContext`u60$$], 0}, -5, 5}, {{
       Hold[$CellContext`TT$$], 0.4}, 0, 0.4}, {
      Hold[$CellContext`xmin$$], -0.05, 0}, {{
       Hold[$CellContext`xmax$$], $CellContext`TT$$}, 0, 4.}, {{
       Hold[$CellContext`ymin$$], -2}, -20, 0}, {{
       Hold[$CellContext`ymax$$], 2}, 0, 20}, {
      Hold[$CellContext`Index$$], {1, 2, 3, 4, 5}}}, Typeset`size$$ = {
    272., {86., 90.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`u10$700041$$ = 
    0, $CellContext`u20$700042$$ = 0, $CellContext`u30$700043$$ = 
    0, $CellContext`u40$700044$$ = 0, $CellContext`u50$700045$$ = 
    0, $CellContext`u60$700046$$ = 0, $CellContext`TT$700047$$ = 
    0, $CellContext`xmin$700048$$ = 0, $CellContext`xmax$700049$$ = 
    0, $CellContext`ymin$700050$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Index$$ = 1, $CellContext`TT$$ = 
        0.4, $CellContext`u10$$ = -1, $CellContext`u20$$ = -1, \
$CellContext`u30$$ = -1, $CellContext`u40$$ = -2, $CellContext`u50$$ = -2, \
$CellContext`u60$$ = 
        0, $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = \
-0.05, $CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`u10$$, $CellContext`u10$700041$$, 0], 
        Hold[$CellContext`u20$$, $CellContext`u20$700042$$, 0], 
        Hold[$CellContext`u30$$, $CellContext`u30$700043$$, 0], 
        Hold[$CellContext`u40$$, $CellContext`u40$700044$$, 0], 
        Hold[$CellContext`u50$$, $CellContext`u50$700045$$, 0], 
        Hold[$CellContext`u60$$, $CellContext`u60$700046$$, 0], 
        Hold[$CellContext`TT$$, $CellContext`TT$700047$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$700048$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$700049$$, 0], 
        Hold[$CellContext`ymin$$, $CellContext`ymin$700050$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       Clear[$CellContext`Scal]; $CellContext`Scal = 2; $CellContext`Tglob = 
        0.4; Clear[$CellContext`VerticalPart, $CellContext`uT]; \
$CellContext`VerticalPart = {
         Derivative[
           1][$CellContext`u1][$CellContext`t] == \
(-$CellContext`u3[$CellContext`t]) $CellContext`u5[$CellContext`t], 
          Derivative[
           1][$CellContext`u2][$CellContext`t] == \
$CellContext`u3[$CellContext`t] $CellContext`u4[$CellContext`t], 
          Derivative[
           1][$CellContext`u3][$CellContext`t] == \
(-$CellContext`u2[$CellContext`t]) $CellContext`u4[$CellContext`t] + \
$CellContext`u1[$CellContext`t] $CellContext`u5[$CellContext`t], 
          Derivative[
           1][$CellContext`u4][$CellContext`t] == \
$CellContext`u2[$CellContext`t] $CellContext`u3[$CellContext`t] - \
$CellContext`u5[$CellContext`t] $CellContext`u6[$CellContext`t], 
          Derivative[
           1][$CellContext`u5][$CellContext`t] == \
(-$CellContext`u1[$CellContext`t]) $CellContext`u3[$CellContext`t] + \
$CellContext`u4[$CellContext`t] $CellContext`u6[$CellContext`t], 
          Derivative[1][$CellContext`u6][$CellContext`t] == 
          0}; $CellContext`uT[
          Pattern[$CellContext`u10, 
           Blank[]], 
          Pattern[$CellContext`u20, 
           Blank[]], 
          Pattern[$CellContext`u30, 
           Blank[]], 
          Pattern[$CellContext`u40, 
           Blank[]], 
          Pattern[$CellContext`u50, 
           Blank[]], 
          Pattern[$CellContext`u60, 
           Blank[]]] := 
        ReplaceAll[{$CellContext`u1, $CellContext`u2, $CellContext`u3, \
$CellContext`u4, $CellContext`u5, $CellContext`u6}, 
          NDSolve[
           
           Join[$CellContext`VerticalPart, {$CellContext`u1[
              0] == $CellContext`u10, $CellContext`u2[
              0] == $CellContext`u20, $CellContext`u3[
              0] == $CellContext`u30, $CellContext`u4[
              0] == $CellContext`u40, $CellContext`u5[
              0] == $CellContext`u50, $CellContext`u6[
              0] == $CellContext`u60}], {$CellContext`u1, $CellContext`u2, \
$CellContext`u3, $CellContext`u4, $CellContext`u5, $CellContext`u6}, \
{$CellContext`t, 0, $CellContext`Tglob}]]; 
       Clear[$CellContext`MG, $CellContext`U, $CellContext`T, \
$CellContext`MGt, $CellContext`F1, $CellContext`G1, $CellContext`F, \
$CellContext`Gu1A, $CellContext`u2A, $CellContext`u3A, $CellContext`u4A, \
$CellContext`u5A]; $CellContext`sol[
          Pattern[$CellContext`u10, 
           Blank[]], 
          Pattern[$CellContext`u20, 
           Blank[]], 
          Pattern[$CellContext`u30, 
           Blank[]], 
          Pattern[$CellContext`u40, 
           Blank[]], 
          Pattern[$CellContext`u50, 
           Blank[]], 
          Pattern[$CellContext`u60, 
           Blank[]]][
          Pattern[$CellContext`Tg, 
           Blank[]]] := 
        Module[{$CellContext`T = $CellContext`Tg}, $CellContext`u3A = 
           ReplaceAll[
             Part[
              ReplaceAll[
               $CellContext`uu[$CellContext`t], 
               NDSolve[
                
                Join[{Derivative[
                   1][$CellContext`UU][$CellContext`t] == \
$CellContext`uu[$CellContext`t], 
                  Derivative[
                   1][$CellContext`uu][$CellContext`t] == \
$CellContext`ww[$CellContext`t], 
                  Derivative[
                   1][$CellContext`ww][$CellContext`t] == \
$CellContext`zz[$CellContext`t], 
                  Derivative[
                    1][$CellContext`zz][$CellContext`t] \
$CellContext`uu[$CellContext`t] == (1/2) (
                    4 $CellContext`u60 (($CellContext`u10 $CellContext`u40 - \
$CellContext`u20 $CellContext`u50) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10 $CellContext`u20 - $CellContext`u40 $CellContext`u50) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) \
$CellContext`uu[$CellContext`t]^2 - 
                    4 $CellContext`uu[$CellContext`t]^3 ($CellContext`t \
($CellContext`u10 $CellContext`u40 + $CellContext`u20 $CellContext`u50) \
$CellContext`u60 - 
                    2 $CellContext`ww[$CellContext`t]) + \
$CellContext`ww[$CellContext`t] ((-$CellContext`u60) ($CellContext`u10 \
$CellContext`u40 + $CellContext`u20 $CellContext`u50 + ($CellContext`u10 \
$CellContext`u20 - $CellContext`u40 $CellContext`u50) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10 $CellContext`u40 - $CellContext`u20 $CellContext`u50) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) + 
                    2 $CellContext`zz[$CellContext`t]))}, {$CellContext`UU[0] == 
                  0, $CellContext`uu[0] == $CellContext`u30, $CellContext`ww[
                   0] == (-$CellContext`u20) $CellContext`u40 + \
$CellContext`u10 $CellContext`u50, $CellContext`zz[
                   0] == (-$CellContext`u30) ($CellContext`u10^2 + \
$CellContext`u20^2 + $CellContext`u40^2 + $CellContext`u50^2) + (1/
                    2) ($CellContext`u10 $CellContext`u20 + 
                    2 $CellContext`u10 $CellContext`u40 + 
                    2 $CellContext`u20 $CellContext`u50 - $CellContext`u40 \
$CellContext`u50) $CellContext`u60}], {
                 $CellContext`UU[$CellContext`t], 
                 $CellContext`uu[$CellContext`t], 
                 $CellContext`ww[$CellContext`t], 
                 $CellContext`zz[$CellContext`t]}, {$CellContext`t, 
                 0, $CellContext`T}]], 
              1], $CellContext`t -> #]& ; $CellContext`U = ReplaceAll[
             Part[
              ReplaceAll[
               $CellContext`UU[$CellContext`t], 
               NDSolve[
                
                Join[{Derivative[
                   1][$CellContext`UU][$CellContext`t] == \
$CellContext`uu[$CellContext`t], 
                  Derivative[
                   1][$CellContext`uu][$CellContext`t] == \
$CellContext`ww[$CellContext`t], 
                  Derivative[
                   1][$CellContext`ww][$CellContext`t] == \
$CellContext`zz[$CellContext`t], 
                  Derivative[
                    1][$CellContext`zz][$CellContext`t] \
$CellContext`uu[$CellContext`t] == (1/2) (
                    4 $CellContext`u60 (($CellContext`u10 $CellContext`u40 - \
$CellContext`u20 $CellContext`u50) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10 $CellContext`u20 - $CellContext`u40 $CellContext`u50) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) \
$CellContext`uu[$CellContext`t]^2 - 
                    4 $CellContext`uu[$CellContext`t]^3 ($CellContext`t \
($CellContext`u10 $CellContext`u40 + $CellContext`u20 $CellContext`u50) \
$CellContext`u60 - 
                    2 $CellContext`ww[$CellContext`t]) + \
$CellContext`ww[$CellContext`t] ((-$CellContext`u60) ($CellContext`u10 \
$CellContext`u40 + $CellContext`u20 $CellContext`u50 + ($CellContext`u10 \
$CellContext`u20 - $CellContext`u40 $CellContext`u50) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10 $CellContext`u40 - $CellContext`u20 $CellContext`u50) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) + 
                    2 $CellContext`zz[$CellContext`t]))}, {$CellContext`UU[0] == 
                  0, $CellContext`uu[0] == $CellContext`u30, $CellContext`ww[
                   0] == (-$CellContext`u20) $CellContext`u40 + \
$CellContext`u10 $CellContext`u50, $CellContext`zz[
                   0] == (-$CellContext`u30) ($CellContext`u10^2 + \
$CellContext`u20^2 + $CellContext`u40^2 + $CellContext`u50^2) + (1/
                    2) ($CellContext`u10 $CellContext`u20 + 
                    2 $CellContext`u10 $CellContext`u40 + 
                    2 $CellContext`u20 $CellContext`u50 - $CellContext`u40 \
$CellContext`u50) $CellContext`u60}], {
                 $CellContext`UU[$CellContext`t], 
                 $CellContext`uu[$CellContext`t], 
                 $CellContext`ww[$CellContext`t], 
                 $CellContext`zz[$CellContext`t]}, {$CellContext`t, 
                 0, $CellContext`T}]], 
              1], $CellContext`t -> #]& ; $CellContext`F1 = \
(($CellContext`u10 + $CellContext`u50)/2) 
             Exp[-$CellContext`U[#]] - (($CellContext`u50 - $CellContext`u10)/
             2) Exp[
              $CellContext`U[#]]& ; $CellContext`G1 = (($CellContext`u20 + \
$CellContext`u40)/2) Exp[
               $CellContext`U[#]] - (($CellContext`u40 - $CellContext`u20)/2) 
            Exp[-$CellContext`U[#]]& ; $CellContext`F = (($CellContext`u10 + \
$CellContext`u50)/2) 
             Exp[-$CellContext`U[#]] + (($CellContext`u50 - $CellContext`u10)/
              2) Exp[
               $CellContext`U[#]]& ; $CellContext`G = (($CellContext`u20 + \
$CellContext`u40)/2) Exp[
               $CellContext`U[#]] + (($CellContext`u40 - $CellContext`u20)/2) 
             Exp[-$CellContext`U[#]]& ; $CellContext`MGf[
             Pattern[$CellContext`T, 
              Blank[]]] := ReplaceAll[
             $CellContext`MG[$CellContext`T], 
             ReplaceAll[
              Part[
               
               NDSolve[{
                Derivative[
                  1][$CellContext`MG][$CellContext`\[Tau]] == \
((($CellContext`u20 + $CellContext`u40)/2) Exp[
                    $CellContext`U[$CellContext`T]] + (($CellContext`u40 - \
$CellContext`u20)/2) Exp[-$CellContext`U[$CellContext`T]]) 
                  Sinh[$CellContext`U[$CellContext`T] - \
$CellContext`U[$CellContext`\[Tau]]], $CellContext`MG[0] == 0}, 
                $CellContext`MG[$CellContext`\[Tau]], {$CellContext`\[Tau], 
                 0, $CellContext`T}], 
               1], {$CellContext`\[Tau] -> $CellContext`T}]]; $CellContext`MFf[
             Pattern[$CellContext`T, 
              Blank[]]] := ReplaceAll[
             $CellContext`MG[$CellContext`T], 
             ReplaceAll[
              Part[
               
               NDSolve[{
                Derivative[
                  1][$CellContext`MG][$CellContext`\[Tau]] == \
((($CellContext`u10 + $CellContext`u50)/2) 
                    Exp[-$CellContext`U[$CellContext`T]] + (($CellContext`u50 - \
$CellContext`u10)/2) Exp[
                    $CellContext`U[$CellContext`T]]) 
                  Sinh[$CellContext`U[$CellContext`T] - \
$CellContext`U[$CellContext`\[Tau]]], $CellContext`MG[0] == 0}, 
                $CellContext`MG[$CellContext`\[Tau]], {$CellContext`\[Tau], 
                 0, $CellContext`T}], 
               1], {$CellContext`\[Tau] -> $CellContext`T}]]; $CellContext`LFf[
             Pattern[$CellContext`T, 
              Blank[]]] := ReplaceAll[
             $CellContext`MG[$CellContext`T], 
             ReplaceAll[
              Part[
               
               NDSolve[{
                Derivative[
                  1][$CellContext`MG][$CellContext`\[Tau]] == \
((($CellContext`u10 + $CellContext`u50)/2) 
                    Exp[-$CellContext`U[$CellContext`T]] + (($CellContext`u50 - \
$CellContext`u10)/2) Exp[
                    $CellContext`U[$CellContext`T]]) 
                  Cosh[$CellContext`U[$CellContext`T] - \
$CellContext`U[$CellContext`\[Tau]]], $CellContext`MG[0] == 0}, 
                $CellContext`MG[$CellContext`\[Tau]], {$CellContext`\[Tau], 
                 0, $CellContext`T}], 
               1], {$CellContext`\[Tau] -> $CellContext`T}]]; $CellContext`LGf[
             Pattern[$CellContext`T, 
              Blank[]]] := ReplaceAll[
             $CellContext`MG[$CellContext`T], 
             ReplaceAll[
              Part[
               
               NDSolve[{
                Derivative[
                  1][$CellContext`MG][$CellContext`\[Tau]] == \
((($CellContext`u20 + $CellContext`u40)/2) Exp[
                    $CellContext`U[$CellContext`T]] + (($CellContext`u40 - \
$CellContext`u20)/2) Exp[-$CellContext`U[$CellContext`T]]) 
                  Cosh[$CellContext`U[$CellContext`T] - \
$CellContext`U[$CellContext`\[Tau]]], $CellContext`MG[0] == 0}, 
                $CellContext`MG[$CellContext`\[Tau]], {$CellContext`\[Tau], 
                 0, $CellContext`T}], 
               1], {$CellContext`\[Tau] -> $CellContext`T}]]; $CellContext`u1A[
             Pattern[$CellContext`T, 
              
              Blank[]]] := $CellContext`F1[$CellContext`T] - $CellContext`u60 \
$CellContext`MGf[$CellContext`T]; $CellContext`u2A[
             Pattern[$CellContext`T, 
              
              Blank[]]] := $CellContext`G1[$CellContext`T] - $CellContext`u60 \
$CellContext`MFf[$CellContext`T]; $CellContext`u4A[
             Pattern[$CellContext`T, 
              
              Blank[]]] := $CellContext`G[$CellContext`T] - $CellContext`u60 \
$CellContext`LFf[$CellContext`T]; $CellContext`u5A[
             Pattern[$CellContext`T, 
              
              Blank[]]] := $CellContext`F[$CellContext`T] + $CellContext`u60 \
$CellContext`LGf[$CellContext`T]; {{$CellContext`T, 
             $CellContext`u1A[$CellContext`T]}, {$CellContext`T, 
             $CellContext`u2A[$CellContext`T]}, {$CellContext`T, 
             $CellContext`u3A[$CellContext`T]}, {$CellContext`T, 
             $CellContext`u4A[$CellContext`T]}, {$CellContext`T, 
             $CellContext`u5A[$CellContext`T]}}]; 
       Switch[$CellContext`Index$$, 3, 
         Plot[{
           Part[
            Part[
             $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 1], 3][$CellContext`tt], 
           ReplaceAll[
            Part[
             ReplaceAll[
              $CellContext`uu[$CellContext`t], 
              NDSolve[
               
               Join[{Derivative[
                  1][$CellContext`UU][$CellContext`t] == \
$CellContext`uu[$CellContext`t], 
                 Derivative[
                  1][$CellContext`uu][$CellContext`t] == \
$CellContext`ww[$CellContext`t], 
                 Derivative[
                  1][$CellContext`ww][$CellContext`t] == \
$CellContext`zz[$CellContext`t], 
                 Derivative[
                   1][$CellContext`zz][$CellContext`t] \
$CellContext`uu[$CellContext`t] == (1/2) (
                   4 $CellContext`u60$$ (($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) Sinh[
                    2 $CellContext`UU[$CellContext`t]]) \
$CellContext`uu[$CellContext`t]^2 - 
                   4 $CellContext`uu[$CellContext`t]^3 ($CellContext`t \
($CellContext`u10$$ $CellContext`u40$$ + $CellContext`u20$$ \
$CellContext`u50$$) $CellContext`u60$$ - 
                    2 $CellContext`ww[$CellContext`t]) + \
$CellContext`ww[$CellContext`t] ((-$CellContext`u60$$) ($CellContext`u10$$ \
$CellContext`u40$$ + $CellContext`u20$$ $CellContext`u50$$ + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) Cosh[
                    2 $CellContext`UU[$CellContext`t]] + ($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) + 
                    2 $CellContext`zz[$CellContext`t]))}, {$CellContext`UU[0] == 
                 0, $CellContext`uu[0] == $CellContext`u30$$, $CellContext`ww[
                  0] == (-$CellContext`u20$$) $CellContext`u40$$ + \
$CellContext`u10$$ $CellContext`u50$$, $CellContext`zz[
                  0] == (-$CellContext`u30$$) ($CellContext`u10$$^2 + \
$CellContext`u20$$^2 + $CellContext`u40$$^2 + $CellContext`u50$$^2) + (1/
                    2) ($CellContext`u10$$ $CellContext`u20$$ + 
                    2 $CellContext`u10$$ $CellContext`u40$$ + 
                    2 $CellContext`u20$$ $CellContext`u50$$ - \
$CellContext`u40$$ $CellContext`u50$$) $CellContext`u60$$}], {
                $CellContext`UU[$CellContext`t], 
                $CellContext`uu[$CellContext`t], 
                $CellContext`ww[$CellContext`t], 
                $CellContext`zz[$CellContext`t]}, {$CellContext`t, 
                0, $CellContext`Tglob}]], 
             1], $CellContext`t -> $CellContext`tt]}, {$CellContext`tt, 
           0, $CellContext`TT$$}, PlotStyle -> {Black, {
             Darker[Green], Dashed}}, 
          PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}], 
         Blank[], 
         Show[{
           
           Plot[{5, 5}, {$CellContext`tt, 0, $CellContext`TT$$}, 
            PlotStyle -> {Black, {
               Darker[Green], Dashed}}, 
            PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}, ImageSize -> 400, TicksStyle -> 
            Directive["Label", 8], AxesStyle -> Arrowheads[{0., 0.05}], 
            PlotLegends -> Placed[{
               ToString[
                Subscript[$CellContext`u, $CellContext`Index$$], 
                StandardForm], 
               ToString[
                Subscript[
                 OverHat[$CellContext`u], $CellContext`Index$$], 
                StandardForm]}, Below], AxesLabel -> {"t", ""}, LabelStyle -> 
            Directive[Black]], 
           Graphics[{Black, 
             Line[
              Table[{$CellContext`tt, 
                Part[
                 Part[
                  $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 
                  1], $CellContext`Index$$][$CellContext`tt]}, \
{$CellContext`tt, 0, $CellContext`TT$$, 0.01}]], 
             Darker[Green], Dashed, 
             Line[
              Table[
               Part[
                $CellContext`sol[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$][$CellContext`tt], $CellContext`Index$$], {$CellContext`tt,
                 0, $CellContext`TT$$, 0.01}]]}]}]]), 
      "Specifications" :> {{$CellContext`u10$$, -1, 
         1}, {$CellContext`u20$$, -1, 1}, {$CellContext`u30$$, -1, 
         1}, {$CellContext`u40$$, -2, 2}, {$CellContext`u50$$, -2, 
         2}, {{$CellContext`u60$$, 0}, -5, 5}, {{$CellContext`TT$$, 0.4}, 0, 
         0.4}, {$CellContext`xmin$$, -0.05, 
         0}, {{$CellContext`xmax$$, $CellContext`TT$$}, 0, 
         4.}, {{$CellContext`ymin$$, -2}, -20, 0}, {{$CellContext`ymax$$, 2}, 
         0, 20}, {$CellContext`Index$$, {1, 2, 3, 4, 5}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{580., {228., 235.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.7748017304404182`*^9, 3.7748020598112574`*^9, 3.774802261155774*^9, 
   3.7748023403493032`*^9, 3.774802500420459*^9, 3.7748025642501097`*^9, 
   3.774802638401351*^9, 3.774802695237602*^9, 3.7748027748331547`*^9, 
   3.7748029406286373`*^9, 3.7748029829370575`*^9, 3.7748030552481933`*^9, {
   3.7748031552039104`*^9, 3.7748031813554063`*^9}, 3.7748032665032763`*^9, {
   3.7748033399434767`*^9, 3.774803359600601*^9}, 3.7748034523909087`*^9, 
   3.7748036111709905`*^9, {3.7748037105496745`*^9, 3.77480373285795*^9}, 
   3.7748037835948524`*^9, 3.7748038352788086`*^9, 3.774806549589058*^9, {
   3.7748065932415547`*^9, 3.7748066162748723`*^9}, 3.774806652876966*^9, 
   3.774806689424056*^9},
 CellID->528625921]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell["\<\
This demonstration visualizes the difference between two plots: exact \
extremal controls (solid black line) that are obtained via numerical \
integration of the Hamiltonian system of PMP; and approximate extremal \
controls that are obtained  by using the asymptotic formulas  for small u6 \
from [1].    \
\>", "ManipulateCaption",
 CellChangeTimes->{{3.7748038998965044`*^9, 3.774804295425127*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Index$$ = 3, $CellContext`TT$$ = 
    0.4, $CellContext`u10$$ = -0.37, $CellContext`u20$$ = -0.8, \
$CellContext`u30$$ = 
    0.17999999999999994`, $CellContext`u40$$ = -0.21999999999999997`, \
$CellContext`u50$$ = -1.87, $CellContext`u60$$ = 
    5., $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = -0.05, \
$CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`u10$$], -1, 1}, {
      Hold[$CellContext`u20$$], -1, 1}, {
      Hold[$CellContext`u30$$], -1, 1}, {
      Hold[$CellContext`u40$$], -2, 2}, {
      Hold[$CellContext`u50$$], -2, 2}, {{
       Hold[$CellContext`u60$$], 0}, -5, 5}, {{
       Hold[$CellContext`TT$$], 0.4}, 0, 0.4}, {
      Hold[$CellContext`xmin$$], -0.05, 0}, {{
       Hold[$CellContext`xmax$$], $CellContext`TT$$}, 0, 4.}, {{
       Hold[$CellContext`ymin$$], -2}, -20, 0}, {{
       Hold[$CellContext`ymax$$], 2}, 0, 20}, {
      Hold[$CellContext`Index$$], {1, 2, 3, 4, 5}}}, Typeset`size$$ = {
    279., {88., 92.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`u10$1902807$$ = 
    0, $CellContext`u20$1902808$$ = 0, $CellContext`u30$1902809$$ = 
    0, $CellContext`u40$1902810$$ = 0, $CellContext`u50$1902811$$ = 
    0, $CellContext`u60$1902812$$ = 0, $CellContext`TT$1902813$$ = 
    0, $CellContext`xmin$1902814$$ = 0, $CellContext`xmax$1902815$$ = 
    0, $CellContext`ymin$1902816$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Index$$ = 1, $CellContext`TT$$ = 
        0.4, $CellContext`u10$$ = -1, $CellContext`u20$$ = -1, \
$CellContext`u30$$ = -1, $CellContext`u40$$ = -2, $CellContext`u50$$ = -2, \
$CellContext`u60$$ = 
        0, $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = \
-0.05, $CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`u10$$, $CellContext`u10$1902807$$, 0], 
        Hold[$CellContext`u20$$, $CellContext`u20$1902808$$, 0], 
        Hold[$CellContext`u30$$, $CellContext`u30$1902809$$, 0], 
        Hold[$CellContext`u40$$, $CellContext`u40$1902810$$, 0], 
        Hold[$CellContext`u50$$, $CellContext`u50$1902811$$, 0], 
        Hold[$CellContext`u60$$, $CellContext`u60$1902812$$, 0], 
        Hold[$CellContext`TT$$, $CellContext`TT$1902813$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$1902814$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$1902815$$, 0], 
        Hold[$CellContext`ymin$$, $CellContext`ymin$1902816$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Switch[$CellContext`Index$$, 3, 
        Plot[{
          Part[
           Part[
            $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 1], 3][$CellContext`tt], 
          ReplaceAll[
           Part[
            ReplaceAll[
             $CellContext`uu[$CellContext`t], 
             NDSolve[
              
              Join[{Derivative[
                 1][$CellContext`UU][$CellContext`t] == \
$CellContext`uu[$CellContext`t], 
                Derivative[
                 1][$CellContext`uu][$CellContext`t] == \
$CellContext`ww[$CellContext`t], 
                Derivative[
                 1][$CellContext`ww][$CellContext`t] == \
$CellContext`zz[$CellContext`t], 
                Derivative[
                  1][$CellContext`zz][$CellContext`t] \
$CellContext`uu[$CellContext`t] == (1/
                  2) (((4 $CellContext`u60$$) (($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) Sinh[
                    2 $CellContext`UU[$CellContext`t]])) \
$CellContext`uu[$CellContext`t]^2 - (
                   4 $CellContext`uu[$CellContext`t]^3) (($CellContext`t \
($CellContext`u10$$ $CellContext`u40$$ + $CellContext`u20$$ \
$CellContext`u50$$)) $CellContext`u60$$ - 
                   2 $CellContext`ww[$CellContext`t]) + \
$CellContext`ww[$CellContext`t] ((-$CellContext`u60$$) ($CellContext`u10$$ \
$CellContext`u40$$ + $CellContext`u20$$ $CellContext`u50$$ + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) Cosh[
                    2 $CellContext`UU[$CellContext`t]] + ($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) + 
                    2 $CellContext`zz[$CellContext`t]))}, {$CellContext`UU[0] == 
                0, $CellContext`uu[0] == $CellContext`u30$$, $CellContext`ww[
                 0] == (-$CellContext`u20$$) $CellContext`u40$$ + \
$CellContext`u10$$ $CellContext`u50$$, $CellContext`zz[
                 0] == (-$CellContext`u30$$) ($CellContext`u10$$^2 + \
$CellContext`u20$$^2 + $CellContext`u40$$^2 + $CellContext`u50$$^2) + ((1/
                    2) ($CellContext`u10$$ $CellContext`u20$$ + (
                    2 $CellContext`u10$$) $CellContext`u40$$ + (
                    2 $CellContext`u20$$) $CellContext`u50$$ - \
$CellContext`u40$$ $CellContext`u50$$)) $CellContext`u60$$}], {
               $CellContext`UU[$CellContext`t], 
               $CellContext`uu[$CellContext`t], 
               $CellContext`ww[$CellContext`t], 
               $CellContext`zz[$CellContext`t]}, {$CellContext`t, 
               0, $CellContext`Tglob}]], 
            1], $CellContext`t -> $CellContext`tt]}, {$CellContext`tt, 
          0, $CellContext`TT$$}, PlotStyle -> {Black, {
            Darker[Green], Dashed}}, 
         PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}], 
        Blank[], 
        Show[{
          
          Plot[{5, 5}, {$CellContext`tt, 0, $CellContext`TT$$}, 
           PlotStyle -> {Black, {
              Darker[Green], Dashed}}, 
           PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}, ImageSize -> 400, TicksStyle -> 
           Directive["Label", 8], AxesStyle -> Arrowheads[{0., 0.05}], 
           PlotLegends -> Placed[{
              ToString[
               Subscript[$CellContext`u, $CellContext`Index$$], StandardForm], 
              ToString[
               Subscript[
                OverHat[$CellContext`u], $CellContext`Index$$], 
               StandardForm]}, Below], AxesLabel -> {"t", ""}, LabelStyle -> 
           Directive[Black]], 
          Graphics[{Black, 
            Line[
             Table[{$CellContext`tt, 
               Part[
                Part[
                 $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 
                 1], $CellContext`Index$$][$CellContext`tt]}, \
{$CellContext`tt, 0, $CellContext`TT$$, 0.01}]], 
            Darker[Green], Dashed, 
            Line[
             Table[
              Part[
               $CellContext`sol[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$][$CellContext`tt], $CellContext`Index$$], {$CellContext`tt,
                0, $CellContext`TT$$, 0.01}]]}]}]], 
      "Specifications" :> {{$CellContext`u10$$, -1, 
         1}, {$CellContext`u20$$, -1, 1}, {$CellContext`u30$$, -1, 
         1}, {$CellContext`u40$$, -2, 2}, {$CellContext`u50$$, -2, 
         2}, {{$CellContext`u60$$, 0}, -5, 5}, {{$CellContext`TT$$, 0.4}, 0, 
         0.4}, {$CellContext`xmin$$, -0.05, 
         0}, {{$CellContext`xmax$$, $CellContext`TT$$}, 0, 
         4.}, {{$CellContext`ymin$$, -2}, -20, 0}, {{$CellContext`ymax$$, 2}, 
         0, 20}, {$CellContext`Index$$, {1, 2, 3, 4, 5}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{587., {228., 235.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellEditDuplicate->False,
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{{3.774804415654004*^9, 3.7748044283197284`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(\\(\\((\\(-0.37`\\))\\)\
\\) \[LeftDoubleBracket] 3 \[RightDoubleBracket]\\)\[NoBreak] is longer than \
depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.774806550519111*^9},
 CellID->33404020],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(\\(\\((\\(-0.37`\\))\\)\
\\) \[LeftDoubleBracket] 3 \[RightDoubleBracket]\\)\[NoBreak] is longer than \
depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.774806550563114*^9},
 CellID->59290247],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Part", "::", "partd"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Part specification \[NoBreak]\\!\\(\\(\\((\\(-0.37`\\))\\)\
\\) \[LeftDoubleBracket] 3 \[RightDoubleBracket]\\)\[NoBreak] is longer than \
depth of object. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/partd\\\", ButtonNote -> \
\\\"Part::partd\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.774806550603116*^9},
 CellID->418396208],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Part :: \
partd\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7748065506091166`*^9},
 CellID->342334074]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Index$$ = 3, $CellContext`TT$$ = 
    0.4, $CellContext`u10$$ = -1, $CellContext`u20$$ = -0.755, \
$CellContext`u30$$ = 
    0.17999999999999994`, $CellContext`u40$$ = -0.33000000000000007`, \
$CellContext`u50$$ = -1.87, $CellContext`u60$$ = 
    5., $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = -0.05, \
$CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`u10$$], -1, 1}, {
      Hold[$CellContext`u20$$], -1, 1}, {
      Hold[$CellContext`u30$$], -1, 1}, {
      Hold[$CellContext`u40$$], -2, 2}, {
      Hold[$CellContext`u50$$], -2, 2}, {{
       Hold[$CellContext`u60$$], 0}, -5, 5}, {{
       Hold[$CellContext`TT$$], 0.4}, 0, 0.4}, {
      Hold[$CellContext`xmin$$], -0.05, 0}, {{
       Hold[$CellContext`xmax$$], $CellContext`TT$$}, 0, 4.}, {{
       Hold[$CellContext`ymin$$], -2}, -20, 0}, {{
       Hold[$CellContext`ymax$$], 2}, 0, 20}, {
      Hold[$CellContext`Index$$], {1, 2, 3, 4, 5}}}, Typeset`size$$ = {
    305., {96., 101.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`u10$1902807$$ = 
    0, $CellContext`u20$1902808$$ = 0, $CellContext`u30$1902809$$ = 
    0, $CellContext`u40$1902810$$ = 0, $CellContext`u50$1902811$$ = 
    0, $CellContext`u60$1902812$$ = 0, $CellContext`TT$1902813$$ = 
    0, $CellContext`xmin$1902814$$ = 0, $CellContext`xmax$1902815$$ = 
    0, $CellContext`ymin$1902816$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Index$$ = 1, $CellContext`TT$$ = 
        0.4, $CellContext`u10$$ = -1, $CellContext`u20$$ = -1, \
$CellContext`u30$$ = -1, $CellContext`u40$$ = -2, $CellContext`u50$$ = -2, \
$CellContext`u60$$ = 
        0, $CellContext`xmax$$ = $CellContext`TT$$, $CellContext`xmin$$ = \
-0.05, $CellContext`ymax$$ = 2, $CellContext`ymin$$ = -2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`u10$$, $CellContext`u10$1902807$$, 0], 
        Hold[$CellContext`u20$$, $CellContext`u20$1902808$$, 0], 
        Hold[$CellContext`u30$$, $CellContext`u30$1902809$$, 0], 
        Hold[$CellContext`u40$$, $CellContext`u40$1902810$$, 0], 
        Hold[$CellContext`u50$$, $CellContext`u50$1902811$$, 0], 
        Hold[$CellContext`u60$$, $CellContext`u60$1902812$$, 0], 
        Hold[$CellContext`TT$$, $CellContext`TT$1902813$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$1902814$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$1902815$$, 0], 
        Hold[$CellContext`ymin$$, $CellContext`ymin$1902816$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Switch[$CellContext`Index$$, 3, 
        Plot[{
          Part[
           Part[
            $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 1], 3][$CellContext`tt], 
          ReplaceAll[
           Part[
            ReplaceAll[
             $CellContext`uu[$CellContext`t], 
             NDSolve[
              
              Join[{Derivative[
                 1][$CellContext`UU][$CellContext`t] == \
$CellContext`uu[$CellContext`t], 
                Derivative[
                 1][$CellContext`uu][$CellContext`t] == \
$CellContext`ww[$CellContext`t], 
                Derivative[
                 1][$CellContext`ww][$CellContext`t] == \
$CellContext`zz[$CellContext`t], 
                Derivative[
                  1][$CellContext`zz][$CellContext`t] \
$CellContext`uu[$CellContext`t] == (1/2) (
                  4 $CellContext`u60$$ (($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Cosh[2 $CellContext`UU[$CellContext`t]] + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) \
$CellContext`uu[$CellContext`t]^2 - 
                  4 $CellContext`uu[$CellContext`t]^3 ($CellContext`t \
($CellContext`u10$$ $CellContext`u40$$ + $CellContext`u20$$ \
$CellContext`u50$$) $CellContext`u60$$ - 
                   2 $CellContext`ww[$CellContext`t]) + \
$CellContext`ww[$CellContext`t] ((-$CellContext`u60$$) ($CellContext`u10$$ \
$CellContext`u40$$ + $CellContext`u20$$ $CellContext`u50$$ + \
($CellContext`u10$$ $CellContext`u20$$ - $CellContext`u40$$ \
$CellContext`u50$$) Cosh[
                    2 $CellContext`UU[$CellContext`t]] + ($CellContext`u10$$ \
$CellContext`u40$$ - $CellContext`u20$$ $CellContext`u50$$) 
                    Sinh[2 $CellContext`UU[$CellContext`t]]) + 
                    2 $CellContext`zz[$CellContext`t]))}, {$CellContext`UU[0] == 
                0, $CellContext`uu[0] == $CellContext`u30$$, $CellContext`ww[
                 0] == (-$CellContext`u20$$) $CellContext`u40$$ + \
$CellContext`u10$$ $CellContext`u50$$, $CellContext`zz[
                 0] == (-$CellContext`u30$$) ($CellContext`u10$$^2 + \
$CellContext`u20$$^2 + $CellContext`u40$$^2 + $CellContext`u50$$^2) + (1/
                   2) ($CellContext`u10$$ $CellContext`u20$$ + 
                   2 $CellContext`u10$$ $CellContext`u40$$ + 
                   2 $CellContext`u20$$ $CellContext`u50$$ - \
$CellContext`u40$$ $CellContext`u50$$) $CellContext`u60$$}], {
               $CellContext`UU[$CellContext`t], 
               $CellContext`uu[$CellContext`t], 
               $CellContext`ww[$CellContext`t], 
               $CellContext`zz[$CellContext`t]}, {$CellContext`t, 
               0, $CellContext`Tglob}]], 
            1], $CellContext`t -> $CellContext`tt]}, {$CellContext`tt, 
          0, $CellContext`TT$$}, PlotStyle -> {Black, {
            Darker[Green], Dashed}}, 
         PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}], 
        Blank[], 
        Show[{
          
          Plot[{5, 5}, {$CellContext`tt, 0, $CellContext`TT$$}, 
           PlotStyle -> {Black, {
              Darker[Green], Dashed}}, 
           PlotRange -> {{$CellContext`xmin$$, $CellContext`xmax$$}, \
{$CellContext`ymin$$, $CellContext`ymax$$}}, ImageSize -> 400, TicksStyle -> 
           Directive["Label", 8], AxesStyle -> Arrowheads[{0., 0.05}], 
           PlotLegends -> Placed[{
              ToString[
               Subscript[$CellContext`u, $CellContext`Index$$], StandardForm], 
              ToString[
               Subscript[
                OverHat[$CellContext`u], $CellContext`Index$$], 
               StandardForm]}, Below], AxesLabel -> {"t", ""}, LabelStyle -> 
           Directive[Black]], 
          Graphics[{Black, 
            Line[
             Table[{$CellContext`tt, 
               Part[
                Part[
                 $CellContext`uT[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$], 
                 1], $CellContext`Index$$][$CellContext`tt]}, \
{$CellContext`tt, 0, $CellContext`TT$$, 0.01}]], 
            Darker[Green], Dashed, 
            Line[
             Table[
              Part[
               $CellContext`sol[$CellContext`u10$$, $CellContext`u20$$, \
$CellContext`u30$$, $CellContext`u40$$, $CellContext`u50$$, \
$CellContext`u60$$][$CellContext`tt], $CellContext`Index$$], {$CellContext`tt,
                0, $CellContext`TT$$, 0.01}]]}]}]], 
      "Specifications" :> {{$CellContext`u10$$, -1, 
         1}, {$CellContext`u20$$, -1, 1}, {$CellContext`u30$$, -1, 
         1}, {$CellContext`u40$$, -2, 2}, {$CellContext`u50$$, -2, 
         2}, {{$CellContext`u60$$, 0}, -5, 5}, {{$CellContext`TT$$, 0.4}, 0, 
         0.4}, {$CellContext`xmin$$, -0.05, 
         0}, {{$CellContext`xmax$$, $CellContext`TT$$}, 0, 
         4.}, {{$CellContext`ymin$$, -2}, -20, 0}, {{$CellContext`ymax$$, 2}, 
         0, 20}, {$CellContext`Index$$, {1, 2, 3, 4, 5}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{1172., {228., 235.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellEditDuplicate->False,
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.7748045105224304`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell["References:", "DetailNotes",
 CellChangeTimes->{{3.774804529066491*^9, 3.774804533406739*^9}},
 CellID->826784865],

Cell["\<\
[1] A. Mashtakov, Yu. Popov, Asymptotic of extremal controls in the \
sub-Riemannian problem in the group of rigid body motions// Submitted to \
Journal of Nonlinear Dynamics, arxiv:___\
\>", "DetailNotes",
 CellChangeTimes->{{3.774804529066491*^9, 3.7748046303622847`*^9}},
 CellID->69490099]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\"",
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" on Mac) and drag up and down to zoom.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" to make ever finer adjustments.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\"",
  TooltipDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0, CellBaseline -> Baseline], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  TooltipDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SearchTermsSection"],

Cell["\<\
sub-riemannian, group of moution, euclidean space, extremal controls\
\>", "SearchTerms",
 CellChangeTimes->{{3.7748014364196014`*^9, 3.774801478565012*^9}},
 CellID->316667230]
}, Open  ]],

Cell["", "RelatedLinksSection"],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell["Contributed by: Alexey Mashtakov", "Author",
 CellChangeTimes->{{3.7748014030796947`*^9, 3.7748014081139827`*^9}, {
  3.7748046527365646`*^9, 3.7748046527385645`*^9}}],

Cell["\<\
Ailamazyan Program Systems Institute of Russian Academy of Sciences\
\>", "Author",
 CellChangeTimes->{{3.7748014030796947`*^9, 3.7748014081139827`*^9}, {
  3.7748046527365646`*^9, 3.774804671611644*^9}, {3.7748047130620146`*^9, 
  3.774804717970296*^9}},
 CellID->670442222],

Cell["Pereslavl-Zalesskiy, Russia", "Author",
 CellChangeTimes->{{3.7748014030796947`*^9, 3.7748014081139827`*^9}, {
  3.7748046527365646`*^9, 3.774804671611644*^9}, {3.7748047130620146`*^9, 
  3.774804733201167*^9}},
 CellID->349114168],

Cell["2019", "Author",
 CellChangeTimes->{{3.7748014030796947`*^9, 3.7748014081139827`*^9}, {
  3.7748046527365646`*^9, 3.774804671611644*^9}, {3.7748047130620146`*^9, 
  3.774804728398892*^9}},
 CellID->427288945]
}, Open  ]]
}, Open  ]]
},
WindowSize->{700, 866},
WindowMargins->{{10, Automatic}, {Automatic, 24}},
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 29, 2015)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[90993, 2045, 312, 8, 27, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[91308, 2055, 678, 16, 27, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[91989, 2073, 340, 11, 27, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[92332, 2086, 637, 15, 27, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[92972, 2103, 844, 21, 27, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[93819, 2126, 369, 9, 27, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[94191, 2137, 1464, 31, 27, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[95658, 2170, 908, 21, 27, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 98241, 2248},
 {"RotateAndZoomIn3D", 98350, 2251},
 {"DragLocators", 98460, 2254},
 {"CreateAndDeleteLocators", 98576, 2257},
 {"SliderZoom", 98690, 2260},
 {"GamepadControls", 98796, 2263},
 {"AutomaticAnimation", 98909, 2266},
 {"BookmarkAnimation", 99026, 2269}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 205, 4, 134, "DemoTitle"],
Cell[CellGroupData[{
Cell[1716, 43, 33, 0, 287, "InitializationSection"],
Cell[1752, 45, 318, 6, 27, "Input",
 InitializationCell->True,
 CellID->885706147]
}, Open  ]],
Cell[CellGroupData[{
Cell[2107, 56, 29, 0, 234, "ManipulateSection"],
Cell[CellGroupData[{
Cell[2161, 60, 44697, 1066, 2505, "Input"],
Cell[46861, 1128, 22835, 456, 508, "Output",
 CellID->528625921]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[69745, 1590, 36, 0, 169, "ManipulateCaptionSection"],
Cell[69784, 1592, 411, 7, 67, "ManipulateCaption"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70232, 1604, 28, 0, 173, "ThumbnailSection"],
Cell[70263, 1606, 8959, 176, 475, "Output"],
Cell[79225, 1784, 551, 12, 19, "Message",
 CellID->33404020],
Cell[79779, 1798, 551, 12, 19, "Message",
 CellID->59290247],
Cell[80333, 1812, 552, 12, 19, "Message",
 CellID->418396208],
Cell[80888, 1826, 550, 12, 19, "Message",
 CellID->342334074]
}, Open  ]],
Cell[CellGroupData[{
Cell[81475, 1843, 28, 0, 143, "SnapshotsSection"],
Cell[81506, 1845, 8918, 176, 475, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90461, 2026, 26, 0, 336, "DetailsSection"],
Cell[90490, 2028, 120, 2, 22, "DetailNotes",
 CellID->826784865],
Cell[90613, 2032, 303, 6, 52, "DetailNotes",
 CellID->69490099]
}, Open  ]],
Cell[CellGroupData[{
Cell[90953, 2043, 37, 0, 126, "ControlSuggestionsSection"],
Cell[90993, 2045, 312, 8, 27, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[91308, 2055, 678, 16, 27, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[91989, 2073, 340, 11, 27, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[92332, 2086, 637, 15, 27, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[92972, 2103, 844, 21, 27, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[93819, 2126, 369, 9, 27, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[94191, 2137, 1464, 31, 27, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[95658, 2170, 908, 21, 27, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96603, 2196, 30, 0, 155, "SearchTermsSection"],
Cell[96636, 2198, 187, 4, 22, "SearchTerms",
 CellID->316667230]
}, Open  ]],
Cell[96838, 2205, 31, 0, 141, "RelatedLinksSection"],
Cell[CellGroupData[{
Cell[96894, 2209, 25, 0, 129, "AuthorSection"],
Cell[96922, 2211, 173, 2, 22, "Author"],
Cell[97098, 2215, 285, 6, 22, "Author",
 CellID->670442222],
Cell[97386, 2223, 237, 4, 22, "Author",
 CellID->349114168],
Cell[97626, 2229, 214, 4, 22, "Author",
 CellID->427288945]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature mu0qEpi@Ll@bzAw4CsHpTX1@ *)
